# $Revision: 1.30 $, $Date: 2006/09/08 18:03:40 $
Summary:	Jajcus' Net Backup - remote backup system
Summary(pl):	Jajcus' Net Backup - system zdalnych kopii zapasowych
Name:		jnbackup
Version:	0.6
Release:	3
License:	GPL
Group:		Applications/Archiving
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	aa21a7cad3e15e379c52be25d37ebabe
Source1:	%{name}.crontab
BuildRequires:	rpmbuild(macros) >= 1.202
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jajcus' Net Backup - remote backup system.

%description -l pl
Jajcus' Net Backup - system zdalnych kopii zapasowych.

%package server
Summary:	Jajcus' Net Backup server - remote backup system - server
Summary(pl):	Jajcus' Net Backup - system zdalnych kopii zapasowych - serwer
Group:		Applications/Archiving
Requires(post):	/bin/hostname
Requires(post):	fileutils
Requires(post):	openssh
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	crondaemon
Requires:	openssh-clients
Requires:	time
Provides:	group(backups)
Provides:	user(backups)

%description server
Server of Jajcus' Net Backup - remote backup system.

%description server -l pl
Serwer Jajcus' Net Backup - systemu zdalnych kopii zapasowych.

%package client
Summary:	Jajcus' Net Backup server - remote backup system - client
Summary(pl):	Jajcus' Net Backup - system zdalnych kopii zapasowych - klient
Group:		Applications/Archiving
Requires(post):	grep
Requires(post):	sudo
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	awk
Requires:	openssh-server
Requires:	sudo
Requires:	tar
Provides:	group(backupc)
Provides:	user(backupc)

%description client
Client of Jajcus' Net Backup - remote backup system.

%description client -l pl
Klient Jajcus' Net Backup - systemu zdalnych kopii zapasowych.

%prep
%setup  -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/cron.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "# you should put your servers' public ssh key here" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/client/authorized_keys

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/backups

%clean
rm -rf $RPM_BUILD_ROOT

%pre client
%groupadd -g 105 backupc
%useradd -g backupc -u 105 -c "JNBackup client" -d /var/lib/%{name}/client -s %{_bindir}/backupc backupc

%post client
if [ "$1" = 1 ]; then
	if ! grep -q "backupc" %{_sysconfdir}/sudoers; then
		echo 'backupc ALL=(ALL) NOPASSWD: %{_datadir}/jnbackup/client/backupc-slave' >> %{_sysconfdir}/sudoers
		echo "Notice: %{_sysconfdir}/sudoers file changed"
	fi
fi

%postun client
if [ "$1" = "0" ]; then
	%userremove backupc
	%groupremove backupc
fi

%pre server
%groupadd -g 113 backups
%useradd -g backups -u 113 -c "JNBackup client" -d /var/lib/%{name}/server backups

%post server
if [ ! -f %{_sysconfdir}/jnbackup/server/identity ]; then
	ssh-keygen -t rsa1 -N "" -C "backups@`hostname`" -f %{_sysconfdir}/jnbackup/server/identity
	chown backups:backups %{_sysconfdir}/jnbackup/server/identity*
	chmod 600 %{_sysconfdir}/jnbackup/server/identity
fi

%postun server
if [ "$1" = "0" ]; then
	%userremove backups
	%groupremove backups
fi

%files server
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/backups
%{_datadir}/%{name}/server
%attr(750,backups,backups) %dir /var/lib/%{name}/server
%attr(750,backups,backups) %dir /var/lib/%{name}/server/.ssh
%attr(750,backups,backups) %dir /var/lib/%{name}/server/backups
/var/lib/%{name}/server/.ssh/*
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/cron.d/backups
%dir %{_sysconfdir}/%{name}/server
%dir %{_sysconfdir}/%{name}/server/profiles
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,backups) %{_sysconfdir}/%{name}/server/config
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,backups) %{_sysconfdir}/%{name}/server/profiles/*
# common dirs?
%dir %{_datadir}/%{name}
%dir /var/lib/%{name}
%dir %{_sysconfdir}/%{name}

%files client
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/backupc
%dir %{_datadir}/%{name}/client
%{_datadir}/%{name}/client/*.tool
%{_datadir}/%{name}/client/*.sh
%{_datadir}/%{name}/client/functions
%attr(755,root,root) %{_datadir}/%{name}/client/backupc-slave
%attr(750,backupc,backupc) %dir /var/lib/%{name}/client
%attr(750,backupc,backupc) %dir /var/lib/%{name}/client/.ssh
/var/lib/%{name}/client/.ssh/*
%dir %{_sysconfdir}/%{name}/client
%dir %{_sysconfdir}/%{name}/client/backups
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,backupc) %{_sysconfdir}/%{name}/client/authorized_keys
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,backupc) %{_sysconfdir}/%{name}/client/backups/*
# common dirs?
%dir %{_datadir}/%{name}
%dir /var/lib/%{name}
%dir %{_sysconfdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jnbackup.spec,v $
Revision 1.30  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.29  2006/04/14 15:10:23  glen
- rel 2

Revision 1.28  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.27  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.26  2004/08/25 23:21:48  ankry
- use %userremove/%groupremove, force standard GIDs/UIDs

Revision 1.25  2004/08/08 15:59:37  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.24  2004/01/25 03:43:51  hunter
- proper ssh-keygen parameter is rsa1, we are ssh -1'ing

Revision 1.23  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.22  2003/08/11 22:46:32  ankry
- cosmetics

Revision 1.21  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.20  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/17 06:24:55  pascalek
- revert user changes

Revision 1.17  2003/05/10 11:11:15  pascalek
- Req user-backups, user-backupc

Revision 1.16  2003/02/18 13:06:16  misiek
- release 0.6 (mysql dumping and splitted backups)

Revision 1.15  2003/02/11 22:41:51  qboosh
- cosmetics or minor fixes where necessary

Revision 1.14  2002/11/12 02:19:29  tjbynum
- and next typo...

Revision 1.13  2002/11/12 02:16:38  tjbynum
- typo.

Revision 1.12  2002/11/12 02:13:00  tjbynum
- proper ssh-keygen parameters.

Revision 1.11  2002/07/31 08:47:38  kloczek
- use new %doc.

Revision 1.10  2002/04/25 16:39:30  arturs
- fixed a small typo

Revision 1.9  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:25  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/19 13:22:45  jajcus
- Version: 0.5

Revision 1.5  2001/10/22 09:51:52  jajcus
- Version: 0.4

Revision 1.4  2001/10/14 23:23:20  grzegorz
- added Requires: crondaemon to server package

Revision 1.3  2001/10/14 16:55:24  jajcus
- Version: 0.2
- %post client fixed, so it doesn't add line to /etc/sudoers on each upgrade

Revision 1.2  2001/10/09 12:42:22  jajcus
- Buildarch: noarch

Revision 1.1  2001/10/07 16:31:20  jajcus
- first spec for my backup scripts - VERY alpha :-)
